use crate::dagger_engine::DaggerEngine;

pub struct Component {
    dagger_engine: DaggerEngine,
}

impl Component {
    pub fn new(dagger_engine: DaggerEngine) -> Self {
        Self { dagger_engine }
    }
    pub async fn start_component(&mut self) -> anyhow::Result<()> {
        self.dagger_engine.start().await?;

        Ok(())
    }

    pub async fn close_component(&mut self) -> anyhow::Result<()> {
        Ok(())
    }

    pub async fn handle_transform_message(&mut self) -> anyhow::Result<()> {
        Ok(())
    }
}
